import CryptoJS from "crypto-js";
import { projectConfig } from "../../medusa-config";
const key = projectConfig.ase_key;
const storeURL = projectConfig.storeURL;
let jwt = require("jwt-simple");

export default async (req, res) => {
  const customerService = req.scope.resolve("customerService");
  const emailService = req.scope.resolve("emailService");
  if (true) {
    // 密码,邮箱
    const email = req.body.email;
    try {
      // Will generate a token and send it to the customer via an email provider
      const customer = await customerService.retrieveByEmail(email);
      const token = await customerService.generateResetPasswordToken(
        customer.id
      );
      // 加密
      const newStr = jwt.encode({ token, email }, key);
      const url = storeURL + "forget-password?token=" + newStr;
      await emailService.sendResetPasswordEmail(email, url);
      res.header("Access-Control-Allow-Origin", "http://localhost:8000");
      res.header("Access-Control-Allow-Credentials", true);
      res.header("Access-Control-Allow-Methods", "GET,PUT,POST,DELETE");
      res.header(
        "Access-Control-Allow-Headers",
        "Origin, X-Requested-With, Content-Type, Accept"
      );
      res.status(200).json({
        success: true,
      });
    } catch (error) {
      console.log(error);
      res.status(500).json({
        message: "Something unexpected happened.",
      });
    }
    customerService.update();

    res.end("success");
  }
};

export function encrypt(data, AES_KEY, IV) {
  const key = CryptoJS.enc.Utf8.parse(AES_KEY);
  const iv = CryptoJS.enc.Utf8.parse(IV);
  const encrypted = CryptoJS.AES.encrypt(data, key, {
    iv,
    mode: CryptoJS.mode.CBC,
    padding: CryptoJS.pad.Pkcs7,
  });
  return encrypted.toString();
}
