import { Router } from "express";
var bodyParser = require("body-parser");
import notify from "./notify";
import confirm_email from "./confirm_email";
import cors from "cors";

import { projectConfig } from "../../medusa-config";


const corsOptions = {
  origin: projectConfig.store_cors.split(","),
  credentials: true,
};

export default () => {
  const router = Router();

  router.use(function (req, res, next) {
    if (req.url === "/alipay/notify") {
      req.headers["content-type"] = "application/x-www-form-urlencoded";
    }
    next();
  });
  router.use(bodyParser.json());
  router.use(bodyParser.urlencoded({ extended: true }));
  router.options("/store/customer/confirm-email", cors(corsOptions));
  router.post("/store/customer/confirm-email", confirm_email);
  router.post("/alipay/123", notify);
  router.post("/notify", async (req, res) => {
    // const smtpService = req.scope.resolve("SmtpService");
    // try {
    // await smtpService.sendWelcomeEmail("order_01FY38JPEZDHFP3Q7AVBRK381R");
    // res.status(200).json({
    // success: true,
    // });
    // } catch (error) {
    // console.log(error);
    // res.status(500).json({
    // message: "Something unexpected happened.",
    // });
    // }
  });

  return router;
};
