import { BaseService } from "medusa-interfaces";
const nodemailer = require("nodemailer");
const handlebars = require("handlebars");
const mjml2html = require("mjml");
const fs = require("fs");
var path = require("path");

class EmailService extends BaseService {
  constructor({ cartService, orderService }) {
    super();
    this.cartService_ = cartService;
    this.orderService_ = orderService;
  }

  async registerOptin(cartId, optin) {}

  // send welcome email
  async sendWelcomeEmail(orderId) {
    const order = await this.orderService_.retrieve(orderId, {
      select: ["total", "refunded_total", "refundable_amount"],
      relations: ["items", "returns", "payments", "customer"],
    });
    const template = handlebars.compile(
      fs.readFileSync(
        path.join(__dirname, "../../data/email/billing.mjml"),
        "utf8"
      )
    );
    const vars = {
      name: order.customer.first_name ? order.customer.first_name : "Customer",
      orderNo: orderId,
      orderDate: order.created_at,
      totalPrice: (Math.round(order.total) / 100).toString(),
    };
    const html = mjml2html(template(vars)).html;

    return sendEmail(order.email, html, "感谢您的购买").catch(console.error);
  }

  // send Reset email
  async sendResetPasswordEmail(email, token) {
    const template = handlebars.compile(
      fs.readFileSync(
        path.join(__dirname, "../../data/email/reset-password.mjml"),
        "utf8"
      )
    );
    const vars = {
      PASSWORD_RESET_LINK: token,
    };
    const html = mjml2html(template(vars)).html;
    return sendEmail(email, html, "Reset password").catch(console.error);
  }
}

async function sendEmail(email, html, subject) {
  // Generate test SMTP service account from ethereal.email
  // Only needed if you don't have a real mail account for testing
  let transporter = nodemailer.createTransport({
    host: "smtp.163.com",
    secure: true,
    port: 465,
    auth: {
      user: "xcx_tony@163.com",
      pass: "YMKFHHOLXPUIAVZR",
    },
  });
  // send mail with defined transport object
  await transporter
    .sendMail({
      from: "xcx_tony@163.com", // sender address
      to: email, // list of receivers
      subject: subject, // Subject line
      html: html,
    })
    .catch((error) => console.log(error));
}

export default EmailService;
